package net.yaht.acctstate;

import android.app.Activity;
import android.graphics.Color;
import android.os.Bundle;
import android.util.Log;

public class MainActivity extends Activity {

    private static final String _LOG_TAG = "=-= MainActivity";

    private static int _five_colors[] = {

            Color.parseColor("#cc181e"),
            Color.parseColor("#2793e8"),
            Color.parseColor("#559900"),
            Color.parseColor("#666666"),
            Color.parseColor("#f1f1f1"),

    };

    public void log2me(String where, String what) {

        Log.v(_LOG_TAG + "." + where, what);

    }

    public int rc() {

        int i = (int) (Math.random() * 5);
        return _five_colors[i];

    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        log2me("onCreate()", "called...");
    }

    @Override
    protected void onStart() {
        super.onStart();
        log2me("onStart()", "called...");
    }

    @Override
    protected void onResume() {

        super.onResume();
        log2me("onResume()", "called...");

    }

    @Override
    protected void onPause() {

        super.onPause();
        log2me("onPause()", "called...");

    }

    @Override
    protected void onStop() {

        super.onStop();
        log2me("onStop()", "called...");

    }

}
